# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['djai',
 'djai.data',
 'djai.data.api',
 'djai.data.api.gql',
 'djai.data.api.json',
 'djai.data.api.rest',
 'djai.data.migrations',
 'djai.data.models',
 'djai.data.models.public',
 'djai.model',
 'djai.model.api',
 'djai.model.api.gql',
 'djai.model.api.json',
 'djai.model.api.rest',
 'djai.model.migrations',
 'djai.model.models',
 'djai.model.models.cloud_ai_svc',
 'djai.model.models.cloud_ai_svc.amazon',
 'djai.model.models.cloud_ai_svc.google',
 'djai.model.models.cloud_ai_svc.hugging_face',
 'djai.model.models.cloud_ai_svc.ibm_watson',
 'djai.model.models.cloud_ai_svc.meta',
 'djai.model.models.cloud_ai_svc.microsoft',
 'djai.model.models.cloud_ai_svc.wolfram_alpha',
 'djai.model.models.ml',
 'djai.model.models.ml.hugging_face',
 'djai.model.models.ml.keras',
 'djai.model.models.ml.keras.pre_trained',
 'djai.model.models.ml.keras.pre_trained.vision',
 'djai.model.models.ml.torch',
 'djai.model.models.ml.torch.pre_trained',
 'djai.model.models.ml.torch.pre_trained.audio',
 'djai.model.models.ml.torch.pre_trained.vision',
 'djai.model.scripts',
 'djai.util',
 'djai.util.cli',
 'djai.util.cli._server_files',
 'djai.util.cli.aws_eb']

package_data = \
{'': ['*'],
 'djai.model': ['templates/*'],
 'djai.util.cli.aws_eb': ['.ebextensions/*',
                          '.platform/client-max-body-size.conf',
                          '.platform/client-max-body-size.conf',
                          '.platform/hooks/predeploy/1-Migrate-DB',
                          '.platform/hooks/predeploy/1-Migrate-DB',
                          '.platform/hooks/predeploy/2-Collect-Static-Files',
                          '.platform/hooks/predeploy/2-Collect-Static-Files',
                          '.platform/timeouts.conf',
                          '.platform/timeouts.conf']}

install_requires = \
['CLICK>=7.1.2,<8.0.0',
 'Channels>=3.0.4,<4.0.0',
 'CloudPickle>=2.0.0,<3.0.0',
 'Colored>=1.4.3,<2.0.0',
 'ConfigSpace>=0.4.20,<0.5.0',
 'CoreAPI>=2.3.3,<3.0.0',
 'Cython>=0.29.24,<0.30.0',
 'DPD-Static-Support>=0.0.5,<0.0.6',
 'DRFPasswordless>=1.5.7,<2.0.0',
 'Daphne>=3.0.2,<4.0.0',
 'Dash-Bootstrap-Components',
 'DataSets>=1.15.1,<2.0.0',
 'Django-Autocomplete-Light>=3.8.2,<4.0.0',
 'Django-Bootstrap4>=21.1,<22.0',
 'Django-CORS-Headers>=3.7.0,<4.0.0',
 'Django-Configurations>=2.3.1,<3.0.0',
 'Django-Debug-Toolbar>=3.2.2,<4.0.0',
 'Django-Environ>=0.8.1,<0.9.0',
 'Django-Extensions>=3.1.3,<4.0.0',
 'Django-Filter>=21.1,<22.0',
 'Django-ForestAdmin>=1.0.5,<2.0.0',
 'Django-GM2M>=1.1.1,<2.0.0',
 'Django-Generic-M2M>=0.3.1,<0.4.0',
 'Django-Grappelli>=2.15.3,<3.0.0',
 'Django-Guardian>=2.4.0,<3.0.0',
 'Django-HTMX>=1.6.0,<2.0.0',
 'Django-Jazzmin>=2.4.8,<3.0.0',
 'Django-Model-Query-Graphs>=0.0.5,<0.0.6',
 'Django-Model-Utils>=4.2.0,<5.0.0',
 'Django-Plotly-Dash>=1.6.6,<2.0.0',
 'Django-Polymorphic>=3.0.0,<4.0.0',
 'Django-Query-Profiler>=0.8,<0.9',
 'Django-QuerySetSequence>=0.14,<0.15',
 'Django-RESTQL>=0.15.1,<0.16.0',
 'Django-Silk>=4.2.0,<5.0.0',
 'Django-Storages>=1.12.3,<2.0.0',
 'Django-Tagging>=0.5.0,<0.6.0',
 'Django-Taggit>=1.5.1,<2.0.0',
 'Django>=3.2.9,<4.0.0',
 'DjangoRESTFramework-Filters==1.0.0.dev2',
 'DjangoRESTFramework-JSONAPI>=4.2.1,<5.0.0',
 'DjangoRESTFramework>=3.12.4,<4.0.0',
 'GUnicorn>=20.1.0,<21.0.0',
 'GitPython>=3.1.24,<4.0.0',
 'Google-Cloud-Translate>=3.6.1,<4.0.0',
 'GoogleTrans>=4.0.0rc1,<5.0.0',
 'Gradio>=2.4.2,<3.0.0',
 'Graphene-Django>=2.15.0,<3.0.0',
 'HuggingFace-Hub>=0.1.1,<0.2.0',
 'Hypercorn>=0.11.2,<0.12.0',
 'JobLib>=1.1.0,<2.0.0',
 'Jupyter>=1.0.0,<2.0.0',
 'Kolo>=1.2.1,<2.0.0',
 'MySQLClient>=2.0.3,<3.0.0',
 'NumPy>=1.19.5,<2.0.0',
 'PSUtil>=5.8.0,<6.0.0',
 'Pandas>=1.3.4,<2.0.0',
 'Pillow>=8.4.0,<9.0.0',
 'PsycoPG2-binary>=2.9.1,<3.0.0',
 'Py-GQL>=0.6.1,<0.7.0',
 'PyArrow>=6.0.0,<7.0.0',
 'PySpark>=3.2.0,<4.0.0',
 'Python-DotEnv>=0.19.1,<0.20.0',
 'Requests>=2.25.1,<3.0.0',
 'Ruamel.YAML>=0.17.17,<0.18.0',
 'Rules>=3.0,<4.0',
 'S3FS>=2021.11.0,<2022.0.0',
 'SentencePiece>=0.1.96,<0.2.0',
 'Starlette>=0.17.0,<0.18.0',
 'Streamlit>=1.1.0,<2.0.0',
 'Tabulate>=0.8.9,<0.9.0',
 'TensorFlow-DataSets>=4.4.0,<5.0.0',
 'TensorFlow-Hub>=0.12.0,<0.13.0',
 'Torch-Model-Archiver>=0.4.2,<0.5.0',
 'TorchServe>=0.4.2,<0.5.0',
 'Tqdm>=4.62.3,<5.0.0',
 'Uvicorn>=0.15.0,<0.16.0',
 'Watchdog>=2.1.6,<3.0.0',
 'WhiteNoise>=5.3.0,<6.0.0']

extras_require = \
{':python_version < "3.10"': ['Ray>=1.8.0,<2.0.0',
                              'Auto-SKLearn>=0.14.0,<0.15.0',
                              'SciKit-Learn>=0.24.2,<0.25.0',
                              'TensorFlow>=2.7.0,<3.0.0',
                              'Torch>=1.10.0,<2.0.0',
                              'TorchAudio>=0.10.0,<0.11.0',
                              'TorchText>=0.11.0,<0.12.0',
                              'TorchVision>=0.11.1,<0.12.0',
                              'Transformers>=4.12.3,<5.0.0',
                              'TIMM>=0.4.12,<0.5.0',
                              'GUDHI>=3.4.1,<4.0.0',
                              'Bayesian-Optimization>=1.2.0,<2.0.0',
                              'Hpbandster>=0.7.4,<0.8.0',
                              'LIME>=0.2.0.1,<0.3.0.0',
                              'SHAP>=0.40.0,<0.41.0',
                              'SciKit-Fuzzy>=0.4.2,<0.5.0',
                              'Django-Compressor==2.4.1']}

entry_points = \
{'console_scripts': ['djai = djai.util.cli:djai']}

setup_kwargs = {
    'name': 'djai',
    'version': '0.0.0.dev0',
    'description': 'Artificial Intelligence (AI) in Django Applications',
    'long_description': '# Artificial Intelligence (AI) in Django Applications\n',
    'author': 'STEAM for Vietnam Foundation AI & Robotics Educational Initiative',
    'author_email': 'Edu.AI@STEAMforVietNam.org',
    'maintainer': 'STEAM for Vietnam Foundation AI & Robotics Educational Initiative',
    'maintainer_email': 'Edu.AI@STEAMforVietNam.org',
    'url': 'https://GitHub.com/Django-AI/DjAI',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'entry_points': entry_points,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
